import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'

Vue.use(VueRouter)

  const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home
  },
	{
	  path: '/list',
	  name: 'List',
	  component: () => import('../views/List.vue')
	},
      {
          path: '/phone_high_within',
          name: 'phone_high_within',
          component: () => import('../views/phone_high_within.vue')
      },//手机-高产-店内
      {
          path: '/phone_high_outside',
          name: 'phone_high_outside',
          component: () => import('../views/phone_high_outside.vue')
      },//手机-高产-店外
      {
          path: '/phone_high_counter',
          name: 'phone_high_counter',
          component: () => import('../views/phone_high_counter.vue')
      },//手机-高产-柜台
      {
          path: '/phone_high_pay',
          name: 'phone_high_pay',
          component: () => import('../views/phone_high_pay.vue')
      },//手机-高产-收银区
      {
          path: '/phone_standard_within',
          name: 'phone_standard_within',
          component: () => import('../views/phone_standard_within.vue')
      },//手机-标准-店内
      {
          path: '/phone_standard_outside',
          name: 'phone_standard_outside',
          component: () => import('../views/phone_standard_outside.vue')
      },//手机-标准-店外
      {
          path: '/phone_standard_counter',
          name: 'phone_standard_counter',
          component: () => import('../views/phone_standard_counter.vue')
      },//手机-标准-柜台
      {
          path: '/phone_standard_pay',
          name: 'phone_standard_pay',
          component: () => import('../views/phone_standard_pay.vue')
      },//手机-标准-收银区
      {
          path: '/appliances_high_outside',
          name: 'appliances_high_outside',
          component: () => import('../views/appliances_high_outside.vue')
      },//家电-高产-店外
      {
          path: '/appliances_high_exhibition',
          name: 'appliances_high_exhibition',
          component: () => import('../views/appliances_high_exhibition.vue')
      },//家电-高产-展示区
      {
          path: '/appliances_high_pay',
          name: 'appliances_high_pay',
          component: () => import('../views/appliances_high_pay.vue')
      },//家电-高产-收银区
      {
          path: '/appliances_standard_outside',
          name: 'appliances_standard_outside',
          component: () => import('../views/appliances_standard_outside.vue')
      },//家电-标准-店外
      {
          path: '/appliances_standard_exhibition',
          name: 'appliances_standard_exhibition',
          component: () => import('../views/appliances_standard_exhibition.vue')
      },//家电-标准-展示区
      {
          path: '/appliances_standard_pay',
          name: 'appliances_standard_pay',
          component: () => import('../views/appliances_standard_pay.vue')
      },//家电-标准-收银区
      {
          path: '/phone_appliances_win',
          name: 'phone_appliances_win',
          component: () => import('../views/phone_appliances_win.vue')
      },//产品详情
      {
          path: '/allMaterials_phone_standard',
          name: 'allMaterials_phone_standard',
          component: () => import('../views/allMaterials_phone_standard.vue')
      },//全部物料-手机-标准
      {
          path: '/allMaterials_phone_high',
          name: 'allMaterials_phone_high',
          component: () => import('../views/allMaterials_phone_high.vue')
      },//全部物料-手机-高产
      {
          path: '/allMaterials_appliances_high',
          name: 'allMaterials_appliances_high',
          component: () => import('../views/allMaterials_appliances_high.vue')
      },//全部物料-家电-高产
      {
          path: '/allMaterials_appliances_standard',
          name: 'allMaterials_appliances_standard',
          component: () => import('../views/allMaterials_appliances_standard.vue')
      },//全部物料-家电-标准
      {
          path: '/criterion-money',
          name: 'criterion-money',
          component: () => import('../views/twoCart/criterion-money.vue')
      },//二轮车-标准-收银区
      {
          path: '/criterion-showarea',
          name: 'criterion-showarea',
          component: () => import('../views/twoCart/criterion-showarea.vue')
      },//二轮车-标准-展示区
      {
          path: '/criterion-shop',
          name: 'criterion-shop',
          component: () => import('../views/twoCart/criterion-shop.vue')
      },//二轮车-标准-店外
      {
          path: '/high-money',
          name: 'high-money',
          component: () => import('../views/twoCart/high-money.vue')
      },//二轮车-高产-收银区
      {
          path: '/high-showarea',
          name: 'high-showarea',
          component: () => import('../views/twoCart/high-showarea.vue')
      },//二轮车-高产-展示区
      {
          path: '/high-shop',
          name: 'high-shop',
          component: () => import('../views/twoCart/high-shop.vue')
      },//二轮车-高产-店外
      {
          path: '/criterion-compliance',
          name: 'criterion-compliance',
          component: () => import('../views/twoCart/criterion-compliance.vue')
      },//二轮车-标准-合规

      {
          path: '/high-compliance',
          name: 'high-compliance',
          component: () => import('../views/twoCart/high-compliance.vue')
      },//二轮车-高产-合规
      {
          path: '/criterion-allDetails',
          name: 'criterion-allDetails',
          component: () => import('../views/twoCart/criterion-allDetails.vue')
      },//二轮车-标准-全部物料
      {
          path: '/high-allDetails',
          name: 'high-allDetails',
          component: () => import('../views/twoCart/high-allDetails.vue')
      },//二轮车-高产-全部物料
      {
          path: '/appliances_high_compliance',
          name: 'appliances_high_compliance',
          component: () => import('../views/appliances_high_compliance.vue')
      },//家电-高产-合规物料
      {
          path: '/appliances_standard_compliance',
          name: 'appliances_standard_compliance',
          component: () => import('../views/appliances_standard_compliance.vue')
      },//家电-标准-合规物料
      {
          path: '/phone_standard_compliance',
          name: 'phone_standard_compliance',
          component: () => import('../views/phone_standard_compliance.vue')
      },//手机-标准-合规物料
      {
          path: '/phone_high_compliance',
          name: 'phone_high_compliance',
          component: () => import('../views/phone_high_compliance.vue')
      },//手机-高产-合规物料
]

const router = new VueRouter({
  routes
})

export default router
